> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Record an (immutable) salary revision

> Record an (immutable) salary revision



## OpenAPI

````yaml /api-reference/openapi.json post /api/payroll/employees/{employeeId}/revisions
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/payroll/employees/{employeeId}/revisions:
    post:
      tags:
        - Payroll
      summary: Record an (immutable) salary revision
      description: Record an (immutable) salary revision
      operationId: postApiPayrollEmployeesByEmployeeIdRevisions
      parameters:
        - in: path
          name: employeeId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                effectiveDate:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                ctcAnnual:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                reason:
                  type: string
                  minLength: 2
                  maxLength: 160
              required:
                - effectiveDate
                - ctcAnnual
                - reason
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  effectiveDate:
                    type: string
                  ctcAnnual:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  deltaPercent:
                    anyOf:
                      - type: number
                      - type: 'null'
                  reason:
                    type: string
                  approverName:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - effectiveDate
                  - ctcAnnual
                  - deltaPercent
                  - reason
                  - approverName
                  - createdAt
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````